¿Cómo instalar el paquete del intérprete del lenguaje R para computación estadística?

¿Cómo instalar el intérprete de lenguaje R? ¿Cuál es el nombre del paquete? He intentado R , rlang , Rlang , rproject , etc., pero nada funciona. Ni apt-get ni Ubuntu Software Center encontraron R.

¿Es posible que R no esté incluido en los repositorys oficiales de Ubuntu?

El paquete que está pidiendo es r-base . Así que ejecuta el siguiente comando:

 sudo apt-get install r-base 

y tendrás R en tu sistema. Hace años, también estaba confundido por esto, tal nombre de paquete es realmente estúpido.

El paquete que quieres es r-base Instalar r-base .

Si necesita comstackr paquetes R desde la fuente, también necesita r-base-dev Instalar r-base-dev . (La mayoría de los usuarios probablemente no necesitan esto).

Eso es probablemente todo lo que necesitas hacer.

Obtención de nuevas versiones de R

La versión de R probablemente las fonts de software oficiales de su versión de Ubuntu probablemente sea suficiente. Suponiendo que ese sea el caso, no necesita leer más (excepto quizás por entretenimiento).

Pero si desea / necesita la última versión , elija un espejo CRAN de la lista . El hacer uno de los siguientes:

  • Haga un archivo .list (podría llamarlo r.list ) en /etc/apt/sources.list.d con esta línea como su contenido:

     deb http:// your-cran-mirror /bin/linux/ubuntu trusty/ 

    Si está usando Ubuntu 14.04 Trusty Tahr, mantendrá la trusty tal como está. De lo contrario, reemplace esa palabra con el nombre en clave de cualquier versión de Ubuntu que esté usando. (Solo la primera palabra; el “adjetivo”, no el “nombre del animal”). Se enumeran aquí o en la página de publicaciones . Por ejemplo, para Ubuntu 12.04 Precise Pangolin es precise . Para 14.10 Unicornio utópico será utopic .

    Este es el nombre que aparece en la mayoría o en todas las líneas de deb similares en el archivo de configuración /etc/apt/sources.list .

    Para crear su archivo r.list , puede abrir una ventana de Terminal ( Ctrl + Alt + T ) y ejecutar un comando como este (asegurándose de sustituir en el espejo CRAN de su elección y, si no está ejecutando la versión 14.04, su liberar nombre en clave):

     echo 'deb http:// your-cran-mirror /bin/linux/ubuntu trusty/ ' | sudo tee -a /etc/apt/sources.list.d/r.list 

    Por ejemplo, en un sistema Ubuntu 15.04 Vivid Vervet ubicado en el noreste de los Estados Unidos, utilicé:

     echo 'deb http://cran.mirrors.hoobly.com/bin/linux/ubuntu vivid/' | sudo tee -a /etc/apt/sources.list.d/r.list 
  • O , en lugar de agregar la fuente de software en su propio archivo de configuración, agregue esa línea al archivo de configuración de fonts maestras de software, /etc/apt/sources.list . Puede abrir ese archivo en un editor de texto gráfico abriendo una ventana de Terminal ( Ctrl + Alt + T ) y ejecutando el comando:

     sudo -H gedit /etc/apt/sources.list 

Agregue la clave de firma para los repositorys CRAN ( puede verificarla aquí ):

 sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys E084DAB9 

Si eso falla, de esta manera puede funcionar:

 gpg --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys E084DAB9 gpg -a --export E084DAB9 | sudo apt-key add - 

Para activar la nueva configuración de fonts de software, ejecute:

 sudo apt-get update 

Luego, para instalar (o actualizar a) la versión de R para CRAN:

 sudo apt-get install r-base 

(Puede instalar r-base-dev y cualquier otro paquete necesario de manera similar. sudo apt-get upgrade normalmente actualizará cualquier paquete R que tenga versiones más nuevas, si se instala una versión anterior ; no tiene que ingresar sus nombres individualmente. )

Más información / fuente citada :

Para obtener más detalles e información sobre otros paquetes de soporte disponibles para la instalación en sistemas Ubuntu, consulte “UBUNTU PACKAGES FOR R” .

  • La respuesta anterior está (muy) ligeramente adaptada de (una pequeña) parte de ese README.
  • Los comandos para importar la clave de firma CRAN se extraen directamente de ella, aunque mis instrucciones están en mis propias palabras y están simplificadas.

Edición: está incluida en los repositorys de Ubuntu, pero quieren que los instales desde ellos.

Fuente

PAQUETES UBUNTU PARA R

Los paquetes R para Ubuntu en i386 y amd64 están disponibles para todas las versiones estables de Ubuntu hasta su fecha oficial de fin de vida. Sin embargo, solo la última versión del Soporte a largo plazo (LTS) es totalmente compatible. A partir del 17 de octubre de 2013, los lanzamientos admitidos son Trusty Tahr (14.04), Precise Pangolin (12.04; LTS) y Lucid Lynx (10.04; LTS).

Vea aquí para más detalles.

INSTALACIÓN

Para obtener los últimos paquetes de R, agregue una entrada como

  deb http:///bin/linux/ubuntu trusty/ 

o

  deb http:///bin/linux/ubuntu precise/ 

o

  deb http:///bin/linux/ubuntu lucid/ 

en su archivo /etc/apt/sources.list, reemplazado por la URL real de su réplica CRAN favorita. Vea aquí para la lista de espejos CRAN. Para instalar el sistema R completo, use

  sudo apt-get update sudo apt-get install r-base 

Los usuarios que necesitan comstackr paquetes R desde la fuente [por ejemplo, mantenedores de paquetes, o cualquiera que instale paquetes con install.packages ()] también deben instalar el paquete r-base-dev (no es relevante para usted, agregado para mayor claridad) :

  sudo apt-get install r-base-dev